Ako používať kalendár

WebNews 0.1

Program WebNews monitoruje vaše obľúbené servery a e-mailové účty. Môže byť užitočný, ak často sledujete napr.spravodajské servery a nechcete sa zdržovať sťahovaním reklám. So správnou šablónou máte všetky dôležité informácie prehľadne zobrazené. Ďalej spravuje vaše termíny a vopred na ne upozorňuje. Toto je testovacia verzia, preto môže obsahovať chyby. Svoje pripomienky a nápady môžete adresovať na webnews@host.sk

Základné vlastnosti:

  • Monitorovanie webstránok a ich zobrazovanie v prehľadnom formáte.
  • Oznamovanie nových e-mailov.
  • Kalendár.

Copyright:

(c) 2003 webnews.host.sk


Ako pridať e-mailový účet

  1. V okne WebNews vyberte Pridať/editovať/zmazať z menu Nastavenie.
  2. Kliknite na Pridať e-mailový účet... a vyplňte formulár, ktorý sa objaví.
    WebNews pracuje len s POP3 protokolom.
  3. Stlačte OK za heslom
  4. Stlačte znova OK na konci stránky.
Ak chcete editovať alebo zmazať tento účet, kliknite na Editovať mail alebo stránku..., kliknite na tento mail a objaví sa formulár, v ktorom môžete upravovať alebo zmazať tento účet.

Poznámka: Táto verzia WebNews je testovacia, preto je dosť možné, že obsahuje chyby. Preto sa neodporúča používať funkciu mazanie, Webnews by mal byť používaný iba na oznamovanie nových mailov.


Ako pridať stránku

WebNews nezobrazuje celé stránky, ale len isté časti, ktoré sú dôležité. Preto je potrebné okrem URL zadať aj šablónu, pomocou ktorej sa určujú práve tieto dôležité časti.

Šablóny na internete:
Najjednoduchší spôsob je výber stránky, ktorá už má svoju šablónu:

  1. V okne WebNews vyberte Pridať/editovať/zmazať z menu Nastavenie.

  2. Kliknite na Vybrať z existujúcich šablón
  3. Objaví sa okno s šablónami, ktoré sú k dispozícii.
    Medzi týmito šablónami môžete vyhľadávať - napr. zadajte stránku, ktorá vás zaujíma, alebo zadajte oblasť - napr "počítač", "noviny" ... a stlačte Hľadať. Ak nájdete zaujímavú šablónu, kliknite na ňu a potom stlačte OK. V opačnom prípade stlačte Zrušiť.
  4. Keď budete hotoví, stlačte OK na konci stránky.

Vytvorenie vlastnej šablóny:
Náročnejší spôsob je vhodný vtedy, keď svoju stránku nenájdete v zozname existujúcich šablón. V takomto prípade musíte sami vytvoriť zodpovedajúcu šablónu.

  1. V okne WebNews vyberte Pridať/editovať/zmazať z menu Nastavenie.
  2. Kliknite na Pridať stránku a vyplňte formulár, ktorý sa objaví a stlačte OK za URL.
  3. Ak ste offline, stlačte OK na konci stránky. Keď sa pripojíte, stiahne sa táto stránka a vy budete môcť pokračovať v bode 4
  4. Kliknite na Editovať mail alebo stránku... a vyberte názov tejto šablóny.
  5. Kliknite na Testovať šablónu a objaví sa okno "Testovanie šablóny".

Šablónu môžete vytvoriť dvomi spôsobmi:

  • Manuálne
  • Automaticky

Súvislosti:
 Čo je to šablóna


Manuálne vytvorenie stránky

Manuálne vytvorenie šablóny je pracnejšie, preto sa neodporúča vytvárať šablóny väčších stránok. Na druhej strane je tento spôsob viac "presný".

  1. Otvorte HTML stránku a jej zdroj.
  2. Nájdite v zdroji prvý odstavec, ktorý má patriť do šablóny
  3. Teraz v predchádzajúcom HTML kóde nájdite čo najmenej reťazcov, aby sa program po ich postupnom nájdení dostal na začiatok tohto odstavca. Jednotlivé reťazce sa nesmú meniť, keď sa stránka aktualizuje. Medzi jednotlivými reťazcami vložte znaky {*} - čo znamená neobmedzený počet písmen. Všetky písmená by mali byť v poli šablóna malými písmenami.
  4. Samotný text odstavca označíte znakmi {$} . Aby bolo možné zistiť koniec odstavca, je treba pridať ďalšie slovo.
    Napr. "    {*}<title>{$}</title>" znamená, že sa vo WebNewse objaví názov stránky.
  5. Pole Zobrazenie môžete nechať prázdne, používa sa väčšinou na spájanie dvoch odstavcov do jedného napr "<li>{$}{$}"

Súvislosti:
 Ako pridať stránku
Automatické vytvorenie stránky
Čo je to šablóna


Automatické vytvorenie stránky

Existujú tri spôsoby, ako vytvoriť automaticky šablónu.

Vytvoriť šablónu pre redakčné stránky

Tento spôsob sa dá aplikovať na stránky, kde sú nové články vypísané štýlom <link>anotácia,<link>anotácia.. Po stlačení tlačidla Ďalej prekontrolujte odstavce a nechajte označené tie, ktoré sa majú zobraziť. Potom stlačte Ďajej a skontrolujte výsledok. Ak je správny, stlačte Dokončiť, inak sa vráťte späť a vyskúšajte nasledujúci spôsob:

Vytvoriť šablónu označením

Po stlačení tlačidla Ďalej budete vyzvaní označovať jednotlivé odstavce jeden po druhom a pridávať ich. Nakoniec stlačte znova Ďalej a prezrite si výsledok.

Editovať niektoré odstavce

Ak vaša šablóna nie je nesprávna, ale obsahuje niektoré nesprávne odstavce, prípadne niektoré neobsahuje, môžete takúto šablónu editovať štýlom označiť a pridať/zmazať, podobne ako predchádzajúci spôsob.

Poznámka: Všetky tieto spôsoby sú automatizované, ale každá stránka používa iný design, preto je pravdepodobné, že horeuvedené spôsoby nebudú funkčné pri každej stránke.

Súvislosti:
 Ako pridať stránku
Manuálne vytvorenie stránky


Ako zmeniť vzhľad

Jedna z predností WebNewsu je schopnosť meniť vzhľad a oživiť tak užívateľské prostredie. Po nainštalovaní sú prístupné dva skiny, ďalšie si môžete stiahnuť z internetu alebo vytvoriť.

Vybrať iný skin:

  1. V okne WebNews vyberte Zmeniť vzhľad z menu Nastavenie.
  2. Vyberte si skin a kliknite naň.
    WebNews sa objaví v novom skine.

Stiahnuť nové skiny z internetu:

  1. V okne WebNews vyberte Nastavenie\Zmeniť vzhľad\Viac na internete...
    Otvorí sa stránka, z ktorej si môžete stiahnuť nový skin.
  2. Otvorte stiahnutý ZIP súbor a súbory, ktoré obsahuje presuňte do podadresára skins (napr. "c:\program files\webnews\skins\")
    Objaví sa nová položka v menu Nastavenie\Zmeniť vzhľad\

Vytvoriť vlastný skin:
Ak ovládate základy HTML, môžete si vytvoriť taký skin, aký vám bude najviac vyhovovať. Samotný skin bude funkčný, len ak bude obsahovať nasledujúce súbory:
subor.ini - v ňom sú definované ostatné súbory.

[sem patrí názov]
header=subor-header
li=subor-li
caption=subor-caption
semili=subor-semili

Štruktúra stránky vytvorenej podľa skinu:
header - prvá časť
caption 1
li 1
li 2
...
caption 2
li 1
...
header - druhá časť

Na lepšie pochopenie odporúčam prezrieť si existujúce skiny.

Súvislosti:
zmeniť dížku jednotlivých odstavcov (Nastavenie vlastností programu)


Ako používať kalendár

Pridať termín:

  1. V okne WebNews vyberte Pridať/editovať/zmazať z menu Nastavenie.
  2. Kliknite na Pridať v poslednej časti.
  3. Vyberte dátum a napíšte odkaz.
    Odkaz bude zobrazovaný 7 dní dopredu, ak nezvolíte inak.
    Ak ide napr. o narodeniny, zaškrtnite "Zobrazovať každý rok".
    Môžete špecifikovať aj presný čas, kedy sa má na tento odkaz upozorniť.
  4. Keď budete hotoví, stlačte OK a znova OK na konci stránky
Editovať/Zmazať termín:
  1. V okne WebNews vyberte Pridať/editovať/zmazať z menu Nastavenie.
  2. Kliknite na Editovať kalendár
  3. Vyberte termín a kliknite naň. Otvorí sa formulár, kde môžete upraviť alebo zmazať tento termín.

Pridať/Zmazať poznámku:

Poznámky sa zobrazujú podobne ako termíny na začiatku stránky.
Ak nie sú zobrazené žiadne termíny ani poznámky, pridať poznámku môžete z menu Nastavenie. Inak môžete pridať poznámku priamo z okna WebNews.

Zmazať poznámku môžete jednoducho tak, že stlačíte [zmaž] pri poznámke.


Čo je to...

Šablóna:

Šablóna definuje spôsob, akým sa stránka zobrazí v okne WebNews. Príklad:
Povedzme, že chcete pridať do WebNewsu informácie o počasí z takejto stránky:

<html>
 <head>
  <title>Počasie</title>
 </head>
 <body>
  <table>
  <tr><td>Bratislava</td><td>10 C</td></tr>
  <tr><td>Banská Bystrica</td><td>9 C</td></tr>
  <tr><td>Košice</td><td>9 C</td></tr>
...

Zodpovedajúca šablóna môže vyzerať takto:

{*}<html>{*}<table>{*}
</td><td>{$}</td>{*}
</td><td>{$}</td>{*}
</td><td>{$}</td>

a zobrazenie:

<li>Bratislava:{$}<li>Banská Bystrica:{$}<li>Košice:{$}

Výsledok bude nasledovný:

  • Bratislava:10 C
  • Banská Bystrica: 9 C
  • Košice: 9 C

Vysvetlivky: {*} - ľubovoľný počet písmen medzi dvoma hľadanými reťazcami,
{$} - text, ktorý sa má zobraziť.

Synchronizácia s internetom:

Ak je zapnutá synchronizácia (Nastavenie/Vlastnosti programu/Synchronizácia), sťahujú sa nové šablóny z internetu a zároveň sa posielajú lokálne šablóny na internet.

Súvislosti:
zapnúť/vypnúť synchronizáciu (Nastavenie vlastností programu)


Menu

Tray ikona - pri hodinách.Pravým tlačítkom sa vyvolá menu:

  • Zobraziť/Minimalizovať - ovláda okno
  • Obnoviť - skontrolujú sa e-maily a aktívne web stránky
  • Koniec - ukončenie programu WebNews

Okno

  • Vždy navrchu - Ak je označené, okno bude "plávať" nad ostatnými.

Obnoviť

  • Všetko - Stiahnu sa nové e-maily a stránky
  • E-Maily - Skontrolujú sa e-mailové účty, ale nestiahnu sa najnovšie verzie stránok.
  • Refresh - Obnoví sa stránka, čo má vplyv len na kalendár.

Nastavenie

  • Pridať/Editovať/Zmazať - Otvorí sa stránka, kde môžete upravovať ponuku WebNews
  • Iba nové - Ak je aktívne, nezobrazujú sa správy, ktoré už boli predtým zobrazené
  • Zmeniť vzhľad - pozri Skin
  • Vlastnosti programu - pozri Nastavenie vlastností programu


Nastavenie vlastností programu

Okno "Nastavenia WebNews" otvoríte z menu Nastavenie/Vlastnosti programu. Obsahuje štyri záložky:

Hlavné
Web Browser - program, ktorý sa má spustiť, keď kliknite na link.
Kontrolovať e-maily (stránky) každých ... minút - špecifikuje čas, po ktorom sa znova sitahnu e-maily (stránky). Nula znamená nikdy.

Okno
Na akú veľkosť veľkosť zmenšiť príliš dlhé odstavce - Ak aktuálny skin podporuje skracovanie odstavcov, môžete špecifikovať ich maximálnu veľkosť.
Zrušiť diakritiku formulárov - označte, ak máte problémy so zobrazením dĺžňov a mäkčeňov.

Internet
Nesťahovať stránky častejšie, ako každých... - Kôli zrýchleniu programu môžete zadať interval, v ktorom sa nebudú znova sťahovať stránky. Nie je vhodné zadať dlhší interval ako ten v záložke Hlavné
Vždy online - označte, ak je váš počítač neustále pripojený na internet a nefunguje detekcia stavu online.

Synchronizácia
pozri Čo je to synchronizácia
Povoliť synchronizáciu šablón s internetom - Ak je zapnutá synchronizácia, sťahujú sa nové šablóny z internetu a zároveň sa posielajú lokálne šablóny na internet.
Ako často sťahovať nové šablóny - špecifikuje frekvenciu sťahovania súboru wn.bin.pat, ktorý obsahuje šablóny.
Ako často sťahovať oznamy - špecifikuje frekvenciu pristupovania na WebNews server.